<!DOCTYPE html>
<html>
<head>
    <title>Tax Calculator</title>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1"/>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
    <link rel="stylesheet" type="text/css" href="style.css">
</head>
<body>
    <h1>Tax Calculator</h1>

    <div id="main-container">
        <p id="description">Input income and press "Enter" or click "Calculate"</p>
        <div class="form-group row">

            <div class="input-group">
                <div class="input-group-prepend">
                    <label class="input-group-text" for="income-input">Income</label>
                </div>
                <input type="text" class="form-control" id="income-input" >
                <div class="input-group-append">
                    <span class="input-group-text">IDR</span>
                </div>
            </div>
        </div>
        <div class="form-group row">

            <div class="input-group">
                <div class="input-group-prepend">
                    <label class="input-group-text" for="tax-output">Tax</label>
                </div>
                <input type="text" class="form-control" id="tax-output" readonly="">
                <div class="input-group-append">
                    <span class="input-group-text">IDR</span>
                </div>
            </div>
        </div>
        <table>
            <tr>
                <td>Income Type</td>
                <td>
                    <select name="income-type"class="form-control select-box" id="income-type">
                        <option value="monthly">Monthly</option>
                        <option value="annually">Annually</option>
                    </select>
                </td>
            </tr>
            <tr>
                <td>Marital Status</td>
                <td>
                    <select name="marital-status"class="form-control select-box" id="marital-status">
                        <option value="TK0">TK0 - Single</option>
                        <option value="K0">K0 - Married with no dependant</option>
                        <option value="K1">K1 - Married with 1 dependant</option>
                        <option value="K2">K2 - Married with 2 dependants</option>
                        <option value="K3">K3 - Married with 3 dependants</option>
                    </select>
                </td>
            </tr>
        </table>
        <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Taxation Scheme</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <p>Tax Calculation</p>
                        <img src="./images/tax-scheme.png"/>
                        <p>Tax Relief</p>
                        <img src="./images/tax-relieve.png"/>
                    </div>
                </div>
            </div>
        </div>


        <br/>
        <div class="buttons-container">
            <button class="btn btn-success calculate-button" id="calculate-button">Calculate</button>
            <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal">
              Taxation Scheme
            </button>
        </div>

    </div>
    <script type="module" src="src/script.js"></script>
</body>
</html>